Welcome to the Drifters of Purgatory crafting forums.


    Do i need 1.8 to play?

    avatar
    ricebabytran

    Posts : 6
    Join date : 2011-10-09
    Age : 24

    Do i need 1.8 to play? Empty Do i need 1.8 to play?

    Post  ricebabytran on Sun Dec 04, 2011 5:51 am

    i haven't been able to log on and i updated so do i need 1.8?
    Thor
    Thor
    Admin

    Posts : 80
    Join date : 2011-10-05
    Age : 33
    Location : Wales

    Do i need 1.8 to play? Empty Re: Do i need 1.8 to play?

    Post  Thor on Sun Dec 04, 2011 6:19 am

    No, the server is running the latest version.

      Current date/time is Wed Nov 13, 2019 10:38 pm